---
search:
  tags:
    - livesync
    - POST
seo:
  description: >-
    Add or remove source tables on a livesync session and restart… Reference for
    the POST /api/v1/livesync/{id}/tables endpoint in the TimescaleDB Enterprise
    API.
  noindex: true
sidebar:
  label: Change a session's tables
  badge: POST
title: Change a session's tables
type: openapi-operation
---
Add or remove source tables on a livesync session and restart it to pick the change up.

`POST /api/v1/livesync/{id}/tables`

**Request body** (`application/json`, required)

- `remove` (string[]) — Source tables to stop replicating, schema-qualified. Rows already copied stay on the target.
- `sync_schema` (boolean) — Create missing source tables on the target before adding tables.
- `tables` (string[]) — Source tables to add, schema-qualified.

Request body example:

```json
{
  "remove": [
    "string"
  ],
  "sync_schema": true,
  "tables": [
    "string"
  ]
}
```

**Responses**

- `202` — Accepted
- `default` — Error

Response example, 202:

```json
{
  "auto_add_tables": true,
  "created_at": "string",
  "health": "string",
  "health_checked_at": "string",
  "health_detail": "string",
  "host_display": "string",
  "host_server_id": "string",
  "id": "string",
  "name": "string",
  "publication": "string",
  "publication_managed": true,
  "source_cluster_id": "string",
  "source_display": "string",
  "status": "string",
  "subscription": "string",
  "target_cluster_id": "string",
  "target_display": "string"
}
```
